//
// PropertyScoreMediaCountScores.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct PropertyScoreMediaCountScores: Codable, JSONEncodable, Hashable {

    public var bounds: Score?

    public init(bounds: Score? = nil) {
        self.bounds = bounds
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case bounds
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(bounds, forKey: .bounds)
    }
}

